## devscripts 2.8.6

=== Makefile ===
# Simplified Makefile for devscripts

PL_FILES = bts.pl checkbashisms.pl cvs-debuild.pl debchange.pl \
	debdiff.pl debi.pl debpkg.pl debuild.pl dpkg-depcheck.pl \
	dscverify.pl grep-excuses.pl plotchangelog.pl rc-alert.pl

SH_FILES = cvs-debi.sh cvs-debrelease.sh debclean.sh debrelease.sh \
	debrsign.sh debsign.sh dpkg-genbuilddeps.sh mergechanges.sh \
	tagpending.sh uscan.sh uupdate.sh wnpp-alert.sh

LIBS = libvfork.so.0

PERL_MODULES = Devscripts

CWRAPPERS = debpkg-wrapper

SCRIPTS = $(PL_FILES:.pl=) $(SH_FILES:.sh=)
EXAMPLES = conf.default

MAN1S = $(SCRIPTS:=.1) debc.1 cvs-debc.1 devscripts.1
MAN1S_FR = debclean.fr.1
GEN_MAN1S = bts.1
MAN5S = devscripts.conf.5

BINDIR = /usr/bin
LIBDIR = /usr/lib/devscripts
EXAMPLES_DIR = /usr/share/devscripts
PERLMOD_DIR = /usr/share/devscripts
BIN_LIBDIR = /usr/lib/devscripts
MAN1DIR = /usr/share/man/man1
MAN1_FR_DIR = /usr/share/man/fr/man1
MAN5DIR = /usr/share/man/man5

all: $(SCRIPTS) $(GEN_MAN1S) $(EXAMPLES) $(LIBS) $(CWRAPPERS)

version:
	rm -f version
	dpkg-parsechangelog | perl -ne '/^Version: (.*)/ && print $$1' \
	    > version

%: %.sh version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && chmod +x $@.tmp && mv $@.tmp $@
	sh -n $@

%: %.pl version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && chmod +x $@.tmp && mv $@.tmp $@
	perl -c $@

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

bts.1: bts.pl
	pod2man --center=" " --release="Debian Utilities" $< > $@

libvfork.o: libvfork.c
	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<

libvfork.so.0: libvfork.o
	$(CC) -shared $< -ldl -lc -Wl,-soname -Wl,libvfork.so.0 -o $@

clean:
	rm -f version conf.default $(SCRIPTS) $(GEN_MAN1S) $(SCRIPT_LIBS) \
	    $(CWRAPPERS) libvfork.o libvfork.so.0

install: all
	mkdir -p $(DESTDIR)$(BINDIR)
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	cd $(DESTDIR)$(BINDIR) && ln -s debchange dch
	cd $(DESTDIR)$(BINDIR) && ln -s debi debc
	cd $(DESTDIR)$(BINDIR) && ln -s cvs-debi cvs-debc
	mkdir -p $(DESTDIR)$(LIBDIR)
	cp $(LIBS) $(DESTDIR)$(LIBDIR)
	mkdir -p $(DESTDIR)$(PERLMOD_DIR)
	cp -a $(PERL_MODULES) $(DESTDIR)$(PERLMOD_DIR)
	# Special treatment for debpkg
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(PERLMOD_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg
	mkdir -p $(DESTDIR)$(MAN1DIR)
	cp $(MAN1S) $(DESTDIR)$(MAN1DIR)
	mkdir -p $(DESTDIR)$(MAN1_FR_DIR)
	for i in $(MAN1S_FR); do \
	    cp $$i $(DESTDIR)$(MAN1_FR_DIR)/$${i%.fr.1}.1; \
	done
	mkdir -p $(DESTDIR)$(MAN5DIR)
	cp $(MAN5S) $(DESTDIR)$(MAN5DIR)
	cd $(DESTDIR)$(MAN1DIR) && ln -s debchange.1 dch.1
	mkdir -p $(DESTDIR)$(EXAMPLES_DIR)
	cp $(EXAMPLES) $(DESTDIR)$(EXAMPLES_DIR)

=== debian/changelog ===
devscripts (2.8.6) unstable; urgency=low

  * Julian Gilbey
    - bts: download attachments when caching bug reports (closes: #254102)
    - debian/control: add Suggests: libwww-perl (closes: #277388)
    - debchange: switch from ldap to wget for searching BTS (for
      efficiency)
    - tagpending: switch from ldap to wget for searching BTS (for
      efficiency)
    - uupdate: apply patch from Matthew Palmer to fix overwriting upstream
      files (closes: #230090)

 -- Joshua Kwan <joshk@triplehelix.org>  Tue, 28 Dec 2004 11:51:38 -0800

devscripts (2.8.5) unstable; urgency=medium

  * Julian Gilbey
    - bts: fix "bts bugs :" error
    - bts: accept "bts tags nnnnnn +tag" syntax
    - bts: rejuvenate the close command (closes: #245956)
    - bts: fix typo (closes: #268608)
    - debchange: fixed pipe error (closes: #228749)
    - debchange: requires perl >= 5.8, so make this a Depends: in the
      control file (will be standard in sarge anyway, so it's not a
      particularly big deal) (closes: #241138)
    - debuild: correctly count the saved envvars (closes: #268985)
    - debsign: correctly handle DEBSIGN_SIGNLIKE config option (closes:
      #270262)
    - tagpending: make ldap optional (closes: #269124)
    - tagpending: fix -n output message (closes: #269125)
    - tagpending: give progress output; introduce silent option
    - uscan: support version numbers with ~ (change Devscripts::Versort to
      simply call dpkg --compare-versions to do the work) (closes: #232286)
    - wnpp-alert: now correctly reports on orphaned packages as well
      (tweaked some sed scripts; don't know what was actually wrong :-/ )
      (closes: #268948)
  * Joshua Kwan
    - debrsign: Warn if you passed a changes file but omitted the remote
      address.
    - Update debchange and tagpending for new bts2ldap gateway.
    - Remove ${perl:Depends} from control file, dh_perl is not guessing that
      we do actually need 5.8, and so we end up with a perl (>= 5.8), perl
      dependency, which is wrong.

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 26 Sep 2004 13:41:37 -0700

devscripts (2.8.4) unstable; urgency=medium

  * The Barbrady release ("Move along people, there's NOTHING TO SEE here..")
  * Add build-depends on the perl packages that perl -c needs to do its thing.
    Thanks Anibal Monsalve Salazar for pointing this out. Closes: #266847

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 19 Aug 2004 09:13:14 -0700

devscripts (2.8.3) unstable; urgency=medium

  * The "timely bug report" release.
  * uupdate.sh: [ $# ne 0 ] -> [ $# -ne 0 ]. Thanks Fumitoshi UKAI.
    (Closes: #266221)
  * Run perl -c on all the Perl scripts and sh -n on all of the shell
    scripts, in foresight of future syntax errors.
  * tagpending.sh: Add a space after the source package name. Thanks Guillem
    Jover for pointing this out.
  * Remove the last remnants of the abandoned debpanic script from debi.pl.
  * bts.pl: Fix gooood crack in 'it' usage. ($it eq undef -> not defined $it.)
    (Closes: #266717)

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 18 Aug 2004 01:28:37 -0700

devscripts (2.8.2) unstable; urgency=low

  * tagpending.sh:
      - s/help/usage/. Another buglet found by Steve Kowalik. Sigh!
        (Closes: #265412)
      - Include the source package name in the 'package' portion of
        the generated message. (Closes: #265445)

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 16 Aug 2004 13:23:10 -0700

devscripts (2.8.1) unstable; urgency=medium

  * debchange.pl: Don't check for -w 'debian/changelog', check whether
    we're in debian/ first, to avoid false positives. (Closes: #264310)
  * tagpending.sh: Steve Kowalik's personal email is s3kr1t, so don't use
    mail(1) to send the control email, but toss it all to bts.pl which will
    handle all the $DEBEMAIL and $EMAIL and such. (Closes: #264767)

 -- Joshua Kwan <joshk@triplehelix.org>  Tue, 10 Aug 2004 09:41:14 -0700

devscripts (2.8) unstable; urgency=low

  * Now comaintained by Joshua Kwan and Julian Gilbey.
  * Build system:
    - `pwd` -> $(CURDIR) in debian/rules.
    - Remove $(CWRAPPERS) in Makefile's clean target.
  * archive/cvs-buildpackage: Remove.
  * debchange:
    - Add -n / --nmu option for NMUs. (Closes: #184944)
    - Our BTS web parser is broken. Move to Net::LDAP and the
      more machine-friendly bts2ldap gateway. Change the Suggests:
      on libwww-perl to libnet-ldap-perl.
    - Do not proceed with parsing versions and contacting the BTS if
      debian/changelog is not writable. (Closes: #235485, #178080)
  * debsign:
    - Don't prompt to overwrite the dsc file (ie. may be owned by root,
      parent dir owned by yourself) - force it and hope it works.
      (Closes: #249950)
    - Change nonstandard head -1 to head -n 1. (Closes: #231130)
    - Add a versioned dependency on gnupg (>= 1.0.7), when
      --no-show-policy-url was added. (Closes: #228938)
  * debrsign:
    - Add --path option to specify full path to gnupg/pgp. (Closes: #243013)
  * debuild:
    - Preserve GPG_TTY so that gpg-agent is recognized. (Closes: #254112)
  * bts:
    - Recognize the 'l10n' tag for bts. (Closes: #227735)
    - bts.1: Fix extraneous indentation. (Closes: #236309)
    - Allow 'it' as an alias to the previous bug referenced.
      (Closes: #256051)
    - cache: Fix uninitialized value warning by checking how many arguments
      were passed. (Closes: #225317)
  * Devscripts::Versort:
    - Apply Roderick Schertler's patch to fix an infinite loop comparing
      identical non-Debian revisions. (Closes: #236344)
  * rc-alert:
    - rc-alert.1: Add SEE ALSO for popbugs(1). (Closes: #227078)
  * uscan:
    - uscan.pl, uscan.1: Add brief mention for --debug. (Closes: #238655)
    - uscan.pl: remove HTTP GET data from downloaded file. (Closes: #247175)
  * New scripts by me:
    - tagpending: Within a source directory, tags all bugs not already
      'pending' to be as such. (associated: tagpending.1)



=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Uploaders: Joshua Kwan <joshk@triplehelix.org>
Standards-Version: 3.6.1
Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl

Package: devscripts
Architecture: any
Conflicts: debmake (<< 3.5), dupload (<< 2.1)
Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), ${shlibs:Depends}, ${misc:Depends}
Recommends: fakeroot
Suggests: devscripts-el, build-essential, cvs-buildpackage, debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx, patch, patchutils, ssh, strace, wdiff, wget, www-browser
Conflicts: suidmanager (<< 0.51)
Description: Scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
  - bts: a command-line tool for manipulating the BTS [www-browser,
      libwww-perl, mailx]
  - checkbashisms: check whether a /bin/sh script contains any common
      bash-specific contructs
  - cvs-debi, cvs-debc: to call debi and debc from the CVS working directory
      after running cvs-debuild or cvs-buildpackage [cvs-buildpackage]
  - cvs-debrelease: to call debrelease from the CVS working directory
      after running cvs-debuild or cvs-buildpackage [cvs-buildpackage,
      dupload | dput, ssh]
  - cvs-debuild: run cvs-buildpackage using debuild (see below) as the
      package building program [cvs-buildpackage, fakeroot, lintian | linda,
      gnupg]
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files [wget]
  - debclean: purge a Debian source tree [fakeroot]
  - debdiff: compare two versions of a Debian package to check for
      added and removed files [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
      the rest of the package to be present; can sign the pair remotely
      or fetch the pair from a remote machine for signing [gnupg,
      debian-keyring, ssh]
  - debuild: wrapper to build a package without having to su or worry
      about how to invoke dpkg to build using fakeroot.  Also deals
      with common environment problems, umask etc. [fakeroot,
      lintian | linda, gnupg]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
      the build of a Debian package; useful for determining the Build-Depends
      control field needed [build-essential, strace]
  - dscverify: verify the integrity of a Debian package from the
      .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - grep-excuses: grep the update_excuses.html file for your packages [wget]
  - mergechanges: merge .changes files from a package built on different
      architectures
  - plotchangelog: view a nice plot of the data in a changelog file
      [libtimedate-perl, gnuplot]
  - rc-alert: list installed packages which have release-critical bugs [wget]
  - tagpending: shell script which runs from a Debian source tree and tags
      bugs that are to be closed in the latest changelog as pending.
      [wget]
  - uscan: scan upstream sites for new releases of packages [libwww-perl]
  - uupdate: integrate upstream changes into a source package [patch]
  - wnpp-alert: list installed packages which are orphaned or up for
      adoption [wget]
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

## devscripts 2.8.14

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 EXAMPLES = conf.default
 
 MAN1S = $(SCRIPTS:=.1) debc.1 cvs-debc.1 devscripts.1
-MAN1S_FR = debclean.fr.1
 GEN_MAN1S = bts.1
 MAN5S = devscripts.conf.5
 
@@ -28,7 +27,6 @@
 PERLMOD_DIR = /usr/share/devscripts
 BIN_LIBDIR = /usr/lib/devscripts
 MAN1DIR = /usr/share/man/man1
-MAN1_FR_DIR = /usr/share/man/fr/man1
 MAN5DIR = /usr/share/man/man5
 
 all: $(SCRIPTS) $(GEN_MAN1S) $(EXAMPLES) $(LIBS) $(CWRAPPERS)
@@ -83,10 +81,6 @@
 	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg
 	mkdir -p $(DESTDIR)$(MAN1DIR)
 	cp $(MAN1S) $(DESTDIR)$(MAN1DIR)
-	mkdir -p $(DESTDIR)$(MAN1_FR_DIR)
-	for i in $(MAN1S_FR); do \
-	    cp $$i $(DESTDIR)$(MAN1_FR_DIR)/$${i%.fr.1}.1; \
-	done
 	mkdir -p $(DESTDIR)$(MAN5DIR)
 	cp $(MAN5S) $(DESTDIR)$(MAN5DIR)
 	cd $(DESTDIR)$(MAN1DIR) && ln -s debchange.1 dch.1

=== debian/changelog ===
devscripts (2.8.14) unstable; urgency=low

  * uscan: fix second showstopper (broken URL parsing) (closes: #301169)

 -- Julian Gilbey <jdg@debian.org>  Thu, 24 Mar 2005 14:33:05 +0000

devscripts (2.8.13) unstable; urgency=low

  * bts: provide --quiet option (closes: #299344)
  * dpkg-depcheck: improve sgml catalog regexp (closes: #295845)
  * uupdate: improve error message (closes: #267317)
  * uscan: fix showstopper (closes: #301177)

 -- Julian Gilbey <jdg@debian.org>  Thu, 24 Mar 2005 09:13:15 +0000

devscripts (2.8.12) unstable; urgency=low

  * bts: allow --mbox etc. options to appear after the show/bugs keyword
    as well as before, and similarly with the "cache" command
  * bts: allow bug numbers to end with a ":" (closes: #300965)
  * debchange: use access rather than stat for checking file permissions
    (closes: #298659); also do same to debi and debuild
  * debdiff: don't hardcode wdiff path
  * debsign: correct obsolete head syntax (closes: #300844)
  * uscan: watch files are now version=3 (should have done this with
    2.8.11, oops)
  * uscan: now support DEHS-style output and --watchfile etc options
  * uscan: also state upstream URL for newer versions (closes: #230813)
  * uscan: handle funny upstream version numbers using multiple groups
    (closes: #282255) and version-number mangling, both for upstream
    version numbers (closes: #266095) and Debian version numbers (closes:
    #261385)
  * uscan: support --rename option to rename file instead of symlinking it
    (closes: #227952)
  * uscan: call find with -follow option: this should not cause any
    problems (if it does, we can make it optional) (closes: #243758)

 -- Julian Gilbey <jdg@debian.org>  Tue, 15 Mar 2005 18:41:25 +0000

devscripts (2.8.11) unstable; urgency=low

  * Julian Gilbey
    - Added a dependency on sed (>= 2.95) as wnpp uses the T command (thanks
      to Olafur Jens Sig for alerting me to this one)
    - bts: fix --cache-mode=mbox after --cache-mode=min bug (closes: #290487)
    - bts: quieten (hopefully) unnecessary warning from HTML::Parse for
      funny characters (closes: #292671)
    - debchange: support --changelog and --news options for specifying
      changelog (closes: #219135, #261878)
    - debchange: remove emacs backup file (closes: #297489)
    - debchange: document --nmu in manpage (closes: #299234)
    - debsign: check for gpg version for no-show-policy-url option
      (closes: #293792)
    - uscan: change behaviour with respect to directory name checking: now
      only checks directories with matching names, rather than downloading
      newer versions regardless (closes: #260538)
    - uscan: handle metacharacters in directory components (closes: #262489)
    - uscan: allow directory name patterns (not quite recursive, but it's
      pretty much what was requested) (closes: #143284)
  * Joshua Kwan
    - dscverify: Don't use --emulate-md-encode-bug in dscverify anymore,
      it's been obsoleted with gnupg 1.4.0. (closes: #293791)

 -- Julian Gilbey <jdg@debian.org>  Sun, 13 Mar 2005 13:51:29 +0000

devscripts (2.8.10) unstable; urgency=low

  * bts: better fix for option handling bug.  Options must all appear
    before first action name (closes: #290253 again, and prevents other
    similar problems with tag - tagname)

 -- Julian Gilbey <jdg@debian.org>  Thu, 13 Jan 2005 10:57:15 +0000

devscripts (2.8.9) unstable; urgency=medium

  * bts: fix option handling to allow '+' to go through again.
    closes: #290253

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 13 Jan 2005 01:17:39 -0800

devscripts (2.8.8) unstable; urgency=low

  * bts: fix mbox handling in 2.8.7; this also obviates the need for
    cleaning out the cache if upgrading from 2.8.6.

 -- Julian Gilbey <jdg@debian.org>  Tue, 11 Jan 2005 09:58:38 +0000

devscripts (2.8.7) unstable; urgency=low

  * bts: fix option handling, thanks to Tristan Seligmann (closes:
    #289672)
  * bts: support reading downloaded mbox versions of bugs with mutt or
    alternative mail readers; also provide finer grained control over what
    gets cached in general.  NOTE that this has changed some incompatible
    changes from those introduced in version 2.8.6 (closes: #251099)
  * debclean: remove obsolete French translation of manpage

 -- Julian Gilbey <jdg@debian.org>  Mon, 10 Jan 2005 18:42:20 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: devscripts
 Architecture: any
 Conflicts: debmake (<< 3.5), dupload (<< 2.1)
-Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), ${shlibs:Depends}, ${misc:Depends}
+Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), sed (>= 2.95), ${shlibs:Depends}, ${misc:Depends}
 Recommends: fakeroot
 Suggests: devscripts-el, build-essential, cvs-buildpackage, debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx, patch, patchutils, ssh, strace, wdiff, wget, www-browser
 Conflicts: suidmanager (<< 0.51)

## devscripts 2.9.4

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,13 @@
 
 PL_FILES = bts.pl checkbashisms.pl cvs-debuild.pl debchange.pl \
 	debdiff.pl debi.pl debpkg.pl debuild.pl dpkg-depcheck.pl \
-	dscverify.pl grep-excuses.pl plotchangelog.pl rc-alert.pl
+	dscverify.pl grep-excuses.pl plotchangelog.pl rc-alert.pl \
+	debcommit.pl svnpath.pl dd-list.pl
 
 SH_FILES = cvs-debi.sh cvs-debrelease.sh debclean.sh debrelease.sh \
 	debrsign.sh debsign.sh dpkg-genbuilddeps.sh mergechanges.sh \
-	tagpending.sh uscan.sh uupdate.sh wnpp-alert.sh
+	tagpending.sh uscan.sh uupdate.sh wnpp-alert.sh whodepends.sh \
+	annotate-output.sh archpath.sh deb-reversion.sh
 
 LIBS = libvfork.so.0
 
@@ -18,8 +20,11 @@
 EXAMPLES = conf.default
 
 MAN1S = $(SCRIPTS:=.1) debc.1 cvs-debc.1 devscripts.1
-GEN_MAN1S = bts.1
+GEN_MAN1S = bts.1 svnpath.1 debcommit.1 deb-reversion.1
 MAN5S = devscripts.conf.5
+MANS_fr_DIR = po4a/fr
+MAN1S_fr = $(subst $(MANS_fr_DIR)/,,$(wildcard $(MANS_fr_DIR)/*.1))
+MAN5S_fr = $(subst $(MANS_fr_DIR)/,,$(wildcard $(MANS_fr_DIR)/*.5))
 
 BINDIR = /usr/bin
 LIBDIR = /usr/lib/devscripts
@@ -28,6 +33,8 @@
 BIN_LIBDIR = /usr/lib/devscripts
 MAN1DIR = /usr/share/man/man1
 MAN5DIR = /usr/share/man/man5
+MAN1DIR_fr = /usr/share/man/fr/man1
+MAN5DIR_fr = /usr/share/man/fr/man5
 
 all: $(SCRIPTS) $(GEN_MAN1S) $(EXAMPLES) $(LIBS) $(CWRAPPERS)
 
@@ -53,8 +60,12 @@
 	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
 	    > $@.tmp && mv $@.tmp $@
 
-bts.1: bts.pl
+%.1: %.pl
 	pod2man --center=" " --release="Debian Utilities" $< > $@
+
+%.1: %.dbk
+	xsltproc --nonet -o $@ \
+	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
 
 libvfork.o: libvfork.c
 	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<
@@ -84,6 +95,13 @@
 	mkdir -p $(DESTDIR)$(MAN5DIR)
 	cp $(MAN5S) $(DESTDIR)$(MAN5DIR)
 	cd $(DESTDIR)$(MAN1DIR) && ln -s debchange.1 dch.1
+	mkdir -p $(DESTDIR)$(MAN1DIR_fr)
+	cd $(MANS_fr_DIR) && cp $(MAN1S_fr) $(DESTDIR)$(MAN1DIR_fr)
+	mkdir -p $(DESTDIR)$(MAN5DIR_fr)
+	cd $(MANS_fr_DIR) && cp $(MAN5S_fr) $(DESTDIR)$(MAN5DIR_fr)
+	cd $(DESTDIR)$(MAN1DIR_fr) && ln -s debchange.1 dch.1
 	mkdir -p $(DESTDIR)$(EXAMPLES_DIR)
 	cp $(EXAMPLES) $(DESTDIR)$(EXAMPLES_DIR)
+#	-find $(DESTDIR) -type d -name '.svn' -exec rm -r \{\} \;
+#	-find $(DESTDIR) -type d -name 'CVS' -exec rm -r \{\} \;

=== debian/changelog ===
devscripts (2.9.4) unstable; urgency=low

  [ Julian Gilbey ]
  * bts: fix forwarded command (Closes: #320703)
  * debchange: un-html-ise bug titles when using --closes

  [ Joey Hess ]
  * bts: Support new block and unblock commands.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Aug 2005 22:13:47 -0400

devscripts (2.9.3) unstable; urgency=low

  [ Filippo Giunchedi ]
  * added deb-reversion by martin f krafft (Closes: #284642)
  * modified Makefile to handle docbook-generated manpages and build-depend on
    xsltproc + docbook-xsl

  [ Joey Hess ]
  * Fix suggests on subversion.
  * Other cleanups to references to revision control programs.

  [ Joshua Kwan ]
  * debchange: Fix dch -D behavior by adding some parentheses. closes: #319687
  * Add French manual pages, thanks to the French l10n team. closes: #292780

  [ Julian Gilbey ]
  * bts: support for notfound command (Closes: #320569)
  * debchange: change --closes command output format to place "(Closes:
    #nnnnn)" at end of changelog entry
  * debchange: don't require changelog to be modified when -e or -r option
    used

 -- Julian Gilbey <jdg@debian.org>  Sun, 31 Jul 2005 14:50:10 +0100

devscripts (2.9.2) unstable; urgency=low

  [ Julian Gilbey ]
  * debcommit: fix recognition of cvs trees

  [ Joey Hess ]
  * bts: Fix over-broad cgi url mangling to avoid mangling urls that are part
    of bug reports.
  * bts: fix retitle command, broken by extra param change in 2.9.
    Closes: #319367

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Jul 2005 12:57:47 -0400

devscripts (2.9.1) unstable; urgency=low

  [ Julian Gilbey ]
  * annotate -> annotate-output renaming, removing package conflict
    (closes: #319271, #319289)
  * debcommit: Apply Colin Watson's arch patch (see #319072)

  [ Joey Hess ]
  * debchange: Fix parsing of --release-heuristic switch.

 -- Julian Gilbey <jdg@debian.org>  Thu, 21 Jul 2005 09:51:17 +0100

devscripts (2.9) unstable; urgency=low

  [ Julian Gilbey ]
  * bts: fix bts --mbox show nnnn after bts show nnnn
  * bts: add etch and etch-ignore tags (closes: #312493)
  * bts: tags: remove "fixed-in-experimental" and add "help"
  * debchange: use word "file" in manpage for --changelog option (closes:
    #301917)
  * debchange: debian/NEWS.Debian should have been debian/NEWS (closes:
    #303886)
  * debuild: correct manpage typo (closes: #309825)
  * debdiff: handle debdiff on two identically-named native .dsc files
    (closes: #307318)
  * grep-excuses: no longer cache web page, as per bug#309802 (closes:
    #225955)
  * rc-alert: no longer automatically create cache directory, as per
    bug#309802
  * uscan: handle annoying error message (closes: #303607)
  * uscan: mangle http://sf.net/ to use Filippo's sf.php script and work
    (closes: #242884)
  * uscan: handle tar.bz2 packages (related to #317331)
  * uupdate: handle dpkg 1.13 source format allowing bz2-compressed files
    and .debian.tar.gz files (closes: #317331)
  * wnpp-alert: accept -h and -v short options (closes: #304240)
  * wnpp-alert: don't cache such small files (closes: #309802)
  * wnpp-alert: check help_requested file and handle packages with no
    descriptions (closes: #318737)

  [ Joshua Kwan ]
  * Add a new script whodepends, written by Moshe Zadka, to check
    which maintainers' packages depend on a particular package.
    closes: #175832 (longstanding, huh?)
  * checkbashims: show usage if 0 arguments provided.

  [ Filippo Giunchedi ]
  * debdiff: handle .udeb files if found in .changes (closes: #215477)
  * debchange: add support for forcing a lower version
    (-b/--force-bad-version) (closes: #251436, #183424)
  * debsign: support for signing .commands files (Closes: #224523)
  * added annotate.sh and annotate.1
  * added archpath.sh and archpath.1, patch by Colin Watson (Closes: #319072)
  * export DH_ALWAYS_EXCLUDE in debian/rules as we are not interested in
    .svn/CVS directories 

  [ Joey Hess ]
  * debchange: support generating multi-developer changelogs, currently only
    supporting the format used in this changelog entry. If multiple developers
    are detected it will automatically add [ Full Name ] lines to disambiguate
    who did what.
  * debdiff: fix debdiff of dsc files to work with new dpkg-dev.
    Closes: #313293, #314811
  * Add debcommit, a script to commit to svn (or cvs) based on the contents of
    the changelog, and svnpath, which it uses to generate svn tags.
    Closes: #316577
  * debchange: Don't allow --closes in --news mode.
  * debchange: In --news mode, don't include "* Non-maintainer upload."
    entries
  * debchange: In --news mode, separate each new entry with a blank line
    and do not add bullets, to encourage not writing NEWS files like changelog
    files. Closes: #316660
  * debchange: Add --release-heuristic and DEBCHANGE_RELEASE_HEURISTIC
    options to control how it tells if a package was released.
  * debchange: Add new "changelog" release heuristic, which looks
    for a distribution of "UNRELEASED" in a changelog (and adds such a
    distribution by default when making new entries). Useful for packages
    maintained/released by multiple people.
  * debchange: Patch from David B Harris to implement --edit option.
    Closes: #234434
  * Add dd-list, originally by Lars Wirzenius, rewritten in perl.
    Closes: #316102
  * Ignore whitespace around package names in dd-list --stdin.
  * debchange: Add --release option.
  * bts: update and apply Filippo's patch to add a progress display while
    caching bugs. Closes: #237842
  * tagpending.1: Remove obsolete note about it using LDAP.
  * bts: add support for new version tracking extensions in the Debian BTS
    control interface.
  * bts: add support for "bts show package dist=stable" and the like.
  * bts: check for additional options and die
  * tagpending: add missing space after package limit when calling bts

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 20 Jul 2005 14:33:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Section: devel
 Priority: optional
 Maintainer: Julian Gilbey <jdg@debian.org>
-Uploaders: Joshua Kwan <joshk@triplehelix.org>
-Standards-Version: 3.6.1
-Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl
+Uploaders: Joshua Kwan <joshk@triplehelix.org>, Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>
+Standards-Version: 3.6.2
+Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl
 
 Package: devscripts
 Architecture: any
-Conflicts: debmake (<< 3.5), dupload (<< 2.1)
+Conflicts: debmake (<< 3.5), dupload (<< 2.1), suidmanager (<< 0.51)
 Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), sed (>= 2.95), ${shlibs:Depends}, ${misc:Depends}
 Recommends: fakeroot
-Suggests: devscripts-el, build-essential, cvs-buildpackage, debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx, patch, patchutils, ssh, strace, wdiff, wget, www-browser
-Conflicts: suidmanager (<< 0.51)
+Suggests: devscripts-el, build-essential, cvs-buildpackage, cvs | subversion | tla | bazaar, debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx, patch, patchutils, ssh, strace, wdiff, wget, www-browser
 Description: Scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in
  brackets afterwards:
+  - annotate-output: prepend time and stream (O for stdout E for sterr) for
+      every line of output
+  - archpath: print tla/Bazaar package names [tla | bazaar]
   - bts: a command-line tool for manipulating the BTS [www-browser,
       libwww-perl, mailx]
   - checkbashisms: check whether a /bin/sh script contains any common
@@ -28,9 +30,12 @@
   - cvs-debuild: run cvs-buildpackage using debuild (see below) as the
       package building program [cvs-buildpackage, fakeroot, lintian | linda,
       gnupg]
+  - dd-list: given a list of packages, pretty-print it ordered by maintainer
   - debc: display the contents of just-built .debs
   - debchange/dch: automagically add entries to debian/changelog files [wget]
   - debclean: purge a Debian source tree [fakeroot]
+  - debcommit: commit changes to cvs or svn, basing commit message on
+      changelog [cvs | subversion]
   - debdiff: compare two versions of a Debian package to check for
       added and removed files [wdiff, patchutils]
   - debi: install a just-built package
@@ -44,6 +49,8 @@
       about how to invoke dpkg to build using fakeroot.  Also deals
       with common environment problems, umask etc. [fakeroot,
       lintian | linda, gnupg]
+  - deb-reversion: increases a binary package version number and repacks the
+      archive
   - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
       the build of a Debian package; useful for determining the Build-Depends
       control field needed [build-essential, strace]
@@ -55,11 +62,13 @@
   - plotchangelog: view a nice plot of the data in a changelog file
       [libtimedate-perl, gnuplot]
   - rc-alert: list installed packages which have release-critical bugs [wget]
+  - svnpath: print svn repository paths [subversion]
   - tagpending: shell script which runs from a Debian source tree and tags
       bugs that are to be closed in the latest changelog as pending.
       [wget]
   - uscan: scan upstream sites for new releases of packages [libwww-perl]
   - uupdate: integrate upstream changes into a source package [patch]
+  - whodepends: check which maintainers' packages depend on a package
   - wnpp-alert: list installed packages which are orphaned or up for
       adoption [wget]
  Also included are a set of example mail filters for filtering mail

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for devscripts, based on the example file rules.indep.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Clean CVS and .svn dirs when building packages.
DH_ALWAYS_EXCLUDE=CVS:\.svn
export DH_ALWAYS_EXCLUDE

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optimize := -O0
else
optimize := -O2
endif

# Here we perform some checks to ensure that we haven't goofed or left
# debugging code around or ... before we build the package
test: test-stamp
test-stamp:
	# debugging info in bts?
	if grep -q '\$$debug *= *1' bts.pl; then exit 1; else exit 0; fi
	touch test-stamp

build-indep: build-stamp-indep
build-stamp-indep: test-stamp
	dh_testdir
	touch build-stamp-indep

build-arch: build-stamp-arch
build-stamp-arch: test-stamp
	dh_testdir
	$(MAKE) CFLAGS='-g $(optimize) -Wall'
	touch build-stamp-arch

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	rm -f build-stamp* test-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/devscripts install

# Build architecture-independent files here.
binary-indep: build-indep
# We have nothing to do

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples
#	This is now done by the make install command above
#	dh_installman
	dh_link /usr/share/devscripts/conf.default \
		/usr/share/doc/devscripts/devscripts.conf.ex
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build-arch build-indep build clean binary-indep binary-arch binary \
	install

# Local variables:
# mode: makefile
# End:

## devscripts 2.9.10

=== debian/changelog ===
devscripts (2.9.10) unstable; urgency=low

  * bts: handle 8-bit encodings in DEBFULLNAME for "From:" field of emails
    sent (Closes: #339657)
  * bts: submitter and reassign accept multiple bug numbers (Closes:
    #237726)
  * bts: document "it" for referring to previous bug number
  * debchange: provide -m/--maintmaint switch to use the maintainer name
    from the most recent changelog entry rather than using the environment
    variables (Closes: #232000)
  * debcommit: add support for bzr (Closes: #340301)
  * debuild: improve examples in manpage (Closes: #326881)
  * dpkg-depcheck: completely rewrite symlink handling code to fix bug
    where /usr was a symlink (Closes: #246006)

 -- Julian Gilbey <jdg@debian.org>  Sat,  3 Dec 2005 20:24:38 +0000

devscripts (2.9.9) unstable; urgency=low

  [ Filippo Giunchedi ]
  * uscan: add option to set LWP timeout, patch by Stephen Quinney
    (Closes: #335181)

  [ Julian Gilbey ]
  * bts: fix handling of arguments to show command; translate "tag:..."
    into "include=..." when given as a second argument (Closes: #338171)
  * bts: don't treat something like "bts close #123456" as a comment
    (Closes: #337737)
  * debchange: reapply --edit patch from bug#234434 (Closes: #336632)
  * debcommit: fix version grepping in changelog parsing (Closes: #336025)
  * debdiff: add --quiet switch and set exit status according to diff
    status (Closes: #337829)
  * debuild: improve grammar of usage message

  [ Joey Hess ]
  * bts: sleep a default of 5 seconds between bts cache downloads
    to avoid hammering the underprovisioned debian BTS/master archive server.
  * bts: add --cache-delay parameter to tune this

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Nov 2005 10:46:49 -0500

devscripts (2.9.8) unstable; urgency=low

  [ Julian Gilbey ]
  * bts: don't require user for usertags (Closes: #326560)
  * bts: fix manpage typos (Closes: #328972, #328974, #328477)
  * bts: fix bug in getting timestamps
  * debdiff: handle filenames with spaces (Closes: #334145)
  * debdiff: compare symlinks more carefully (Closes: #327090)
  * dd-list: support displaying uploaders with new --uploaders/-u option
    (Closes: #328459)
  * uscan: correctly handle version 2 watchfiles with multiple groups
    (Closes: #327258)
  * uupdate: handle csae of debian/ directory in upstream sources (Closes:
    #320836)
  * uupdate: fix --no-symlink option (Closes: #333390)
  * don't allow non-bash scripts in the package (Closes: #331223)

  [ Joey Hess ]
  * debchange: -r needs to enable multi-maintainer markers when releasing a
    package if the releaser is not the same as the only person who made any
    changes.

  [ Joshua Kwan ]
  * Clarify annotate-output sub-description in control file.

 -- Julian Gilbey <jdg@debian.org>  Sun, 16 Oct 2005 13:07:30 +0100

devscripts (2.9.7) unstable; urgency=low

  * bts: oops, left out a space in usertags command

 -- Julian Gilbey <jdg@polya.uklinux.net>  Sun,  4 Sep 2005 01:51:24 +0100

devscripts (2.9.6) unstable; urgency=low
  
  [ Julian Gilbey ]
  * bts: tags: revert change in 2.9: reinstate "fixed-in-experimental" (it
    still appears to be in use) and don't need "help" twice (Closes: #325480)
  * bts: show/cache: lots of changes to make compatible with new BTS HTML
    pages (Closes: #325966)
    Also store devscripts version with cached files, so that such changes
    can be handled more smoothly in future.
  * bts: small cleanups for output messages, minor bugfixes etc.
  * bts: introduce spam command to report spam in bug reports
  * bts: support new user/usertags commands (Closes: #326265)
  * checkbashisms: correctly detect "function" keyword (Closes: #324599)
  * uscan: report on package being scanned when --report is used (Closes:
    #324102)
  * uscan: provide --report-status option to distinguish from --report,
    which is now quieter (Closes: #325097, #325980)

  [ Filippo Giunchedi ]
  * uscan: fixed some repeated tags when used with --dehs
  * uscan: expand some entities in dehs_output
  * bts: download bugs.css and use it (Closes: #323781)
  * bts: remove some old cache handling cruft since sarge is released

  [ Joey Hess ]
  * dd-list: add --dctrl option for quick reading from grep-dctrl.
  * grep-excuses: remove special case for running locally on ftp-master,
    which breaks every time ftp-master moves (or directories are reorganised),
    and only saved some loopback traffic anyway.
  * grep-excuses: fix non-robust html parsing that caused ugly messages
    when it failed to find </ul> at the end of the excuses file due
    to reformatting.

 -- Julian Gilbey <jdg@polya.uklinux.net>  Sun,  4 Sep 2005 01:08:47 +0100

devscripts (2.9.5) unstable; urgency=low

  [ Joey Hess ]
  * bts: Make block command accept "by" or "with" after the blocked bug,
    but do not make either mandatory.
  * debcommit: try to add support for svk

  [ Julian Gilbey ]
  * bts: fix clone command (Closes: #321798)
  * debchange: add comment to manpage about building sponsored uploads
    (Closes: #321960)
  * debchange: introduce --create option: allows creation of changelogs /
    NEWS files (Closes: #220755, #322716), and inform user about this
    option if changelog / NEWS file is not found (Closes: #316661)
  * debchange: allow option (--nomultimaint) to not use this
    multi-maintainer changelog format
  * debsign: fix noecho behaviour for interrupted gpg call (Closes:
    #321684)
  * uscan: --report actually reports useful information (Closes: #313323)
  * wnpp-alert: RFA -> RFH (Closes: #321707)

  [ Joey Hess ]
  * bts: Deal with recent bts changes in html munging code.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Aug 2005 12:08:09 -0400

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
 Description: Scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in
  brackets afterwards:
-  - annotate-output: prepend time and stream (O for stdout E for sterr) for
-      every line of output
+  - annotate-output: run a command and prepend time and stream (O for stdout,
+      E for stderr) for every line of output
   - archpath: print tla/Bazaar package names [tla | bazaar]
   - bts: a command-line tool for manipulating the BTS [www-browser,
       libwww-perl, mailx]

## devscripts 2.9.10-0ubuntu0.1

=== Makefile ===
--- 
+++ 
@@ -44,10 +44,14 @@
 	    > version
 
 %: %.sh version
+	if grep -q '^#! */bin/sh' $<; then \
+	  echo "$< is a /bin/sh script, not a bash script!" >&2; \
+	  exit 1; \
+	fi
 	rm -f $@ $@.tmp
 	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
 	    > $@.tmp && chmod +x $@.tmp && mv $@.tmp $@
-	sh -n $@
+	bash -n $@
 
 %: %.pl version
 	rm -f $@ $@.tmp

=== debian/changelog ===
devscripts (2.9.10-0ubuntu0.1) dapper-security; urgency=low

  * SECURITY UPDATE: fix handling of mangle rules in watch files to
    not execute them as Perl code
    - patch adapted from r1984, r1992 and r2006 of Debian svn
    - CVE-2009-2946

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 08 Oct 2009 15:19:55 -0500
